Bestehendes Projekt - Migration to Gradle

  • Antworten:8
  • OffenNicht stickyNicht beantwortet
  • Forum-Beiträge: 13

10.03.2018, 11:11:19 via Website

Hallo, ich möchte ein bestehendes Projekt in der neuen Android Version 3.0.1 weiter bearbeiten.
Beim Öffnen des Pojektes kommt dieser Hinweis/Fehler.

Migrate Project to Gradle?
This project does not use the Gradle build system.
We recommend that you migrate to using the Gradle build system.

Wie kann ich das Projekt nach Gradle migrieren?

Diskutiere mit!
  • Forum-Beiträge: 2.909

10.03.2018, 12:36:59 via Website

Hallo Frank,

das es sich wahrscheinlich um eine Eclipse project oder eine veraltetes AS Projekt
würde ich Dir grundsätzlich empfehlen , es "zu Fuss " zu tun.

i.d. R. ist das weniger fehlerbehaftet und spart dir Zeit .
(Und du weist , was du gemacht hast)

— geändert am 10.03.2018, 12:42:12

Liebe Grüße - Stefan
[ App - Entwicklung ]

Hilfreich?
Diskutiere mit!
  • Forum-Beiträge: 13

10.03.2018, 13:13:08 via Website

Hallo Stefan,

danke für den Hinweis, leider habe ich nur "beschränkte Android Erfahrungen" :?

Kennst du jemand der mir das Projekt für Gradle importiert?
Könntest du das vielleicht? (gegen Aufwand)

Hilfreich?
Diskutiere mit!
  • Forum-Beiträge: 2.909

10.03.2018, 15:15:32 via Website

Hallo Frank,

lade das Projekt mal irgendwo als zip hoch, ich schaue es mir gerne an .
Sollte es in einem überschaubaren Rahmen bleibt, mache ich es dir schnell.

Den Link dann bitte per PN, und email für Rückfragen.

Liebe Grüße - Stefan
[ App - Entwicklung ]

Hilfreich?
Diskutiere mit!
  • Forum-Beiträge: 13

10.03.2018, 17:19:32 via Website

Hallo Stefan,

super, danke für dein Angebot.

Scheinbar habe ich noch nicht die Berechtigung anderen Personen hier zu Schreiben (PN), es braucht dazu Level 3 und ich bin als neues Mitglied nur Level 1, ich darf aktuell nur antworten.

Kannst du mir bitte eine PN schreiben, ich antworte darauf dann gleich.

Hilfreich?
Diskutiere mit!
  • Forum-Beiträge: 13

12.03.2018, 08:39:53 via Website

Hallo,

ich suche einen Android Entwickler, der sich mit Gradle 4.1 oder höher gut auskennt.

Ein bestehendes Projekt soll in Android Studio Version 3.0.1 importiert werden und dafür muss Gradle eingestellt werden.

Kann mich bitte jemand unterstützen?
Der Aufwand wird auch bezahlt.

Viele Grüsse
Frank

Hilfreich?
Diskutiere mit!
Pascal P.
  • Mod
  • Blogger
  • Forum-Beiträge: 10.182

12.03.2018, 10:39:33 via App

Wie gesagt schreibe eine PN an Stefan oder mich (solltest du jetzt können da du über 10 Posts hast.)
Wir schauen uns das mal an.

LG Pascal //It's not a bug, it's a feature. :) ;)

Hilfreich?
Diskutiere mit!
Pascal P.
  • Mod
  • Blogger
  • Forum-Beiträge: 10.182

12.03.2018, 12:20:07 via Website

Hallo Frank,
Danke für deine PN.

Allerdings kann ich nciht Antworten, da du in deinen Profileinstellungen hier auf der Seite eingestellt hast, dass man dir keine PNs schicken darf.
Bitte ändere das, dann hörst du von mir.

PS: Ich schicke dir dann das geänderte Projekt ;) GIT etc. musst du dann wieder selber drüber machen. Und damit der Build tut, musste ich sachen aukommentieren, sind mit @ToDo markiert.

Bitte kümmere dich auch in nächster Zeit drum, deine Dependencies zu updaten. Du nutzt immernoch die ActionBarActivity die seit SDK 24+ deprecated ist und in SDK 26 (v7) nicht mehr enthalten ist.
Daher musst uu auf AppCompatActivity umstellten.
Genauso wie bei den otifications den Notification.Builder nutzen.

LG Pascal //It's not a bug, it's a feature. :) ;)

Hilfreich?
Diskutiere mit!
  • Forum-Beiträge: 13

12.03.2018, 12:29:03 via Website

Hallo Pascal,

super danke, ich habe die PN jetzt aktiviert und alle können mir schreiben ;)

Hilfreich?
Diskutiere mit!

Empfohlene Artikel